<?php
declare(strict_types=1);

namespace Inti\Provider\Query;

/**
 * Enables providers to paginate the items they return.
 *
 * @package Inti\Provider\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-bartog
 */
interface QueryPaginateInterface
{
    public function paginate(int $page = 1, int $itemsPerPage = 20): self;
    public function getPageCount(): int;
}
