<?php
declare(strict_types=1);

namespace Inti\Provider\Query;

/**
 * Trait QuerySlugTrait
 *
 * @package Inti\Provider\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-provider
 */
trait QuerySlugTrait
{
    use QueryTrait;

    public function slug(string $slug): QuerySlugInterface
    {
        $this->assertQueryIsInitialized();
        $this->_query['slugs'] = [$slug];
        /** @noinspection PhpIncompatibleReturnTypeInspection */
        return $this;
    }

    public function slugs(array $slugs): QuerySlugInterface
    {
        $this->assertQueryIsInitialized();
        $this->_query['slugs'] = $slugs;
        /** @noinspection PhpIncompatibleReturnTypeInspection */
        return $this;
    }
}
